
QGIS Application - Bug report #16794

Crash when no value is entered in min or max fields in Singleband pseudocolor in styling dock

2017-07-05 06:18 PM - Oskar Karlin

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Symbology

Affected QGIS version:2.18.11 Regression?: Yes

Operating System: Easy fix?: Yes

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 24693

Description

When using the layer styling dock and I accidentally remove all values (including 0) in one of the min or max fields of the band the

application crashes.

Associated revisions

Revision 50b663ea - 2017-09-26 05:23 PM - Alessandro Pasotti 

[bugfix] SingleBandPseudoColor crashes when min or max is NaN

.. in styling dock

Fixes #16794

History

#1 - 2017-07-06 02:41 PM - Giovanni Manghi

- Subject changed from Crash when no value is entered in min or max fields in Singleband pseudocolor to Crash when no value is entered in min or max 

fields in Singleband pseudocolor in styling dock

- Regression? changed from No to Yes

- Crashes QGIS or corrupts data changed from No to Yes

- Operating System deleted (MacOS)

- Affected QGIS version changed from 2.18.7 to 2.18.10

- Priority changed from Normal to High

- Category changed from GUI to Symbology

Confirmed also on Linux.

#2 - 2017-07-25 07:44 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.10 to 2.18.11

#3 - 2017-09-26 04:38 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#4 - 2017-09-26 05:27 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

- Easy fix? changed from No to Yes

- Resolution set to fixed/implemented
https://github.com/qgis/QGIS/pull/5260

#5 - 2017-09-26 05:59 PM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|50b663ead4acaf945799c3989923353a9848b091.
